using System;
using UnityEngine;

public class UIManager : MonoBehaviour
{
    [SerializeField] private GameObject canvas;
    [SerializeField] private GameObject chestRewardSelectionUI;
    private void OnEnable()
    {
        RoomReward.ChestRewarded += HandleChestRewarded;
    }

    private void HandleChestRewarded()
    {
        Instantiate(chestRewardSelectionUI, canvas.transform);
    }
}
